# Escape Mystery - Alien Impact

One of the best point and click type room-escape game in a story-driven narrative and it's developed and released by HFG Hidden Fun Games. Are you ready to escape?

Let's start the amazing adventures of alien impact. The mission is behind you! Challe